### Function

# GimpUi widget_get_color_transform

#### Declaration [src]

    GimpColorTransform*
    gimp_widget_get_color_transform (
      GtkWidget* widget,
      GimpColorConfig* config,
      GimpColorProfile* src_profile,
      const Babl* src_format,
      const Babl* dest_format,
      GimpColorProfile* softproof_profile,
      GimpColorRenderingIntent proof_intent,
      gboolean proof_bpc
    )

#### Description [src]

This function returns the `GimpColorTransform` that transforms pixels from `src_profile` to the profile of the `GdkMonitor` the `widget` is displayed on.

Available since: | 2.10

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.
`config` | `GimpColorConfig`
| A `GimpColorConfig`.
| The data is owned by the caller of the function.
`src_profile` | `GimpColorProfile`
| A `GimpColorProfile`.
| The data is owned by the caller of the function.
`src_format` | `Babl`
| Babl format for the transform’s source pixels.
| The data is owned by the caller of the function.
`dest_format` | `Babl`
| Babl format for the transforms’s destination pixels.
| The data is owned by the caller of the function.
`softproof_profile` | `GimpColorProfile`
| No description available.
| The data is owned by the caller of the function.
`proof_intent` | `GimpColorRenderingIntent`
| No description available.
`proof_bpc` | `gboolean`
| No description available.

#### Return value

Returns: | `GimpColorTransform`
| The `GimpColorTransform`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.